# Uses of Class
org.apache.solr.client.solrj.impl.LBSolrClient.Builder

Packages that use LBSolrClient.Builder
Package
Description
org.apache.solr.client.solrj.impl
Implementations of some client API classes, and their friends.

## Uses of LBSolrClient.Builder in org.apache.solr.client.solrj.impl

Methods in org.apache.solr.client.solrj.impl that return LBSolrClient.Builder
Modifier and Type
Method
Description
`LBSolrClient.Builder<C>`
LBSolrClient.Builder.`setAliveCheckInterval(int aliveCheckInterval, TimeUnit unit)`
LBHttpSolrServer keeps pinging the dead servers at fixed interval to find if it is alive.
`LBSolrClient.Builder<C>`
LBSolrClient.Builder.`withDefaultCollection(String defaultCoreOrCollection)`
Sets a default for core or collection based requests.
Constructors in org.apache.solr.client.solrj.impl with parameters of type LBSolrClient.Builder
Modifier
Constructor
Description
`protected`
`LBAsyncSolrClient(LBSolrClient.Builder<?> builder)`
`protected`
`LBSolrClient(LBSolrClient.Builder<?> builder)`